Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app
Class TextArea

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.text.TextComponent
              nextapp.echo2.app.TextArea

All Implemented Interfaces:
  java.io.Serializable, RenderIdSupport

Direct Known Subclasses:
  TextAreaEx

    public class TextArea

extends TextComponent

A multiple-line text input field.

See Also:
  Serialized Form

Field Summary

Fields inherited from class nextapp.echo2.app.text.TextComponent
`ACTION_LISTENERS_CHANGED_PROPERTY, DOCUMENT_CHANGED_PROPERTY, INPUT_ACTION, PROPERTY_ACTION_COMMAND, PROPERTY_ALIGNMENT, PROPERTY_BACKGROUND_IMAGE, PROPERTY_BORDER, PROPERTY_DISABLED_BACKGROUND, PROPERTY_DISABLED_BACKGROUND_IMAGE, PROPERTY_DISABLED_BORDER, PROPERTY_DISABLED_FONT, PROPERTY_DISABLED_FOREGROUND, PROPERTY_HEIGHT, PROPERTY_HORIZONTAL_SCROLL, PROPERTY_INSETS, PROPERTY_MAXIMUM_LENGTH, PROPERTY_TOOL_TIP_TEXT, PROPERTY_VERTICAL_SCROLL, PROPERTY_WIDTH, TEXT_CHANGED_PROPERTY`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`TextArea()` Creates a new `TextArea` with an empty `StringDocument` as its model, and default width and height settings.
`TextArea(Document document)` Creates a new `TextArea` with the specified `Document` model.
`TextArea(Document document, java.lang.String text, int columns, int rows)` Creates a new `TextArea` with the specified `Document` model, initial text, width and height settings.

Method Summary

Methods inherited from class nextapp.echo2.app.text.TextComponent
`addActionListener, getActionCommand, getAlignment, getBackgroundImage, getBorder, getDisabledBackground, getDisabledBackgroundImage, getDisabledBorder, getDisabledFont, getDisabledForeground, getDocument, getHeight, getHorizontalScroll, getInsets, getMaximumLength, getText, getToolTipText, getVerticalScroll, getWidth, hasActionListeners, isValidChild, processInput, removeActionListener, setActionCommand, setAlignment, setBackgroundImage, setBorder, setDisabledBackground, setDisabledBackgroundImage, setDisabledBorder, setDisabledFont, setDisabledForeground, setDocument, setHeight, setHorizontalScroll, setInsets, setMaximumLength, setText, setToolTipText, setVerticalScroll, setWidth`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidParent, isVisible, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextArea

    public TextArea()

  Creates a new `TextArea` with an empty `StringDocument` as its model, and default width and height settings.

### TextArea

    public TextArea(Document document)

  Creates a new `TextArea` with the specified `Document` model.

  Parameters:
    `document` - the document

### TextArea

    public TextArea(Document document,
                    java.lang.String text,
                    int columns,
                    int rows)

  Creates a new `TextArea` with the specified `Document` model, initial text, width and height settings.

  Parameters:
    `document` - the document
    `text` - the initial text (may be null)
    `columns` - the number of columns to display
    `rows` - the number of rows to display

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD